### Method

# FwupdPlugin Edid set_product_name

since: 2.0.14

#### Declaration [src]

    void
    fu_edid_set_product_name (
      FuEdid* self,
      const gchar* product_name
    )

#### Description [src]

Sets the product name, e.g. `LG HDR WQHD`.

Available since: 2.0.14

#### Parameters

`product_name`

  Type: `const gchar*`

  String value, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.